Part: Șanfren

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Chamfer and the translation is 77% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska
Arrow-left.svg Previous: Part SectionCross.png Cross sections
Next: Mirror Part Mirror.png Arrow-right.svg

Descriere

Șanfrenarea marginii sau a marginilor selectate ale unui obiect. O casetă de dialog vă permite să alegeți marginea (marginile) la care să lucrați și să modificați diferitele setări ale șanfrenului.

Chamfer example

Cum se utilizează

  1. Apăsați butonul Part Chamfer.svg din aelierul Part Workbench. Alternativ, puteți selecta Part → Chamfer.
  2. Selectați forma care urmează să se șanfrenată din fereastra de dialog.
  3. Selectați margini care urmează să fie șanfrenate, bifând caseta corespunzătoare în fereastra de precizie sau selectându-le direct pe model.
  4. Editați parametrii chamfer.
  5. Apăsați OK pentru a închide caseta de dialog și a aplica șanfrenul.

Utilisation

Démarrez l'outil text-top=Chanfrein Chanfrein qui se trouve dans " Boîte déroulante des ateliers → Part Parttext-top=Chanfrein Chanfrein depuis la barre d'outils, ou le menu. Vous pouvez sélectionner l'objet au préalable.
Si la forme n'a pas été sélectionnée au préalable, sélectionnez-la dans la liste déroulante du panneau des Tâches.
Sélectionnez le type de congé (Chanfrein), soit rayon constant (par défaut), ou rayon variable.
Sélectionnez les arêtes, soit dans la vue 3D, ou en les cochant, dans la liste du panneau des Tâches.
Réglez la valeur du rayon, puis cliquez OK pour valider.

Opțiuni

Dialog-chamfer

  • Când selectați marginile modelului, aveți opțiunea de a selecta marginea sau fațeta. Selectând fațeta veți selecta toate marginile fațetei respective.
  • Fascicul de lungime variabilă de lungime variabilă cu lungime constantă.
    • O șanfrenă cu o lungime constantă va crea un șanfren cu muchii echidistant față de marginea originală la distanța specificată.

Un șanfren de lungime variabilă va avea marginile care pot fi setate la distanțe diferite de marginea originală, permițându-vă să creați un șanfren la un unghi variabil.

Options

Vue combinée → Tâche


Tâche options chanfrein

Part Fillet.png Chanfrein des arêtes

Forme

  • TÂCHES Forme sélectionnée : Si une forme a été sélectionnée, elle est automatiquement affichée. Si aucune forme n'est sélectionnée, vous pouvez sélectionner votre forme dans cette boîte déroulante. Cette boîte déroulante Tache PartFillet Fillet fr 00.png, liste toutes les formes qui peuvent être utilisées par l'outil text-top=Chanfrein chanfrein, vous pouvez sélectionner votre forme dans cette liste, (ou avant de sélectionner l'outil text-top=Chanfrein chanfrein, directement dans la fenêtre 3D, et, elle sera automatiquement affichée). (Défaut, Aucune sélection).

Paramètres de congé

  • Tous  : Sélectionne toutes les arêtes de la forme sélectionnée.
  • Aucun  : Décoche toutes les arêtes de la forme sélectionnée.
    Chaque arête peut être cochée séparément.
  • TÂCHES Type de congé : Cette option, vous permet de choisir le type de chanfrein a effectuer, Tache PartFillet Rayon fr 00.png, Rayon constant, ou Rayon variable. (Défaut, Rayon constant).

Sur cette exemple l'option est réglée sur Rayon constant, et, un seul réglage de rayon est possible.

  • TÂCHES Rayon : Réglage du paramètre rayon, ici un seul rayon, pour un Rayon constant, pour un text-top=Chanfrein chanfrein symétrique.


Tâche options Chanfrein


Sur cette exemple l'option est réglée sur Rayon variable, et, deux réglages de rayons sont demandés.

  • TÂCHES Rayon : Réglage des paramètres rayon, ici deux rayons sont a entrer, Rayon initial, et, Rayon final, pour avoir un Rayon variable, pour un text-top=Chanfrein chanfrein asymétrique. (Défaut, Rayon constant).


Proprietăți

Part_Chamfer Properties


Propriétés

Vue combinée → Propriétés Vue


Propriétés Vue Chanfrein

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur False, ou True (Défaut, False).
  • VUEControl Point : Valeur False, ou True (Défaut, False).
  • VUEDeviation : (Défaut, 0.00).
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords). (Défaut, 255, 255, 255).
  • VUELine Width : Donne l'épaisseur de la ligne (bords). (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme). (Defaut, 255, 255, 255).
  • VUEPoint Size : Donne la dimension des points. (Défaut, 2.00).
  • VUESelectable : Autorise la sélection de la forme. Valeur False, ou True (Défaut, True).
  • VUEShape Color : Donne la couleur de la forme. (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100. (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur False, ou True. (Défaut, True).

Vue combinée → Propriétés Données


Propriétés Données

Base

  • DONNÉESLabel : Label donné à la forme, modifiable à volonté.
  • DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Angle, Axis, et, Position ci dessous.
    Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.
  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z. (Défaut, 0,00°).
  • DONNÉESAxis : Cette option spécifie l'axe des axes autour desquels la pièce de révolution créée doit être pivotée PAS RÉVOLUTIONNÉE (la valeur exacte du pivotement est défini par l'option Angle ci-dessus).

Cette option demande trois arguments, qui sont passés sous forme de nombres dans les cases de la boîte à outils, définissants les coordonnées x, y ou z, .
La modification d'une valeur de plus d'un axes provoque la rotation avec l'angle de chaque axe.
Par exemple : nous déterminons un angle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ".

  • DONNÉES X  : Angle à donner dans la direction X . (Défaut, 0,00).
  • DONNÉES Y  : Angle à donner dans la direction Y . (Défaut, 0,00).
  • DONNÉES Z  : Angle à donner dans la direction Z . (Défaut, 1,00).
  • DONNÉESPosition : [0,00 0,00 0,00] récapitulation des coordonnées de position, par rapport coordonnée d'origine 0,00 0,00 0,00.
  • DONNÉES X  : Déplacement à donner dans la direction X .(Défaut, 0,00).
  • DONNÉES Y  : Déplacement à donner dans la direction Y .(Défaut, 0,00).
  • DONNÉES Z  : Déplacement à donner dans la direction Z .(Défaut, 0,00).



Base

  • DATABase: The shape onto which the chamfer is to be applied.
  • DATAPlacement: Specifies the orientation and position of the shape in the 3D space.
  • DATALabel: Label given to the object. Change to suit your needs.

Propriétés

Vue combinée → Propriétés Vue


Propriétés Vue Chanfrein

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur False, ou True (Défaut, False).
  • VUEControl Point : Valeur False, ou True (Défaut, False).
  • VUEDeviation : (Défaut, 0.00).
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords). (Défaut, 255, 255, 255).
  • VUELine Width : Donne l'épaisseur de la ligne (bords). (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme). (Defaut, 255, 255, 255).
  • VUEPoint Size : Donne la dimension des points. (Défaut, 2.00).
  • VUESelectable : Autorise la sélection de la forme. Valeur False, ou True (Défaut, True).
  • VUEShape Color : Donne la couleur de la forme. (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100. (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur False, ou True. (Défaut, True).

Vue combinée → Propriétés Données


Propriétés Données

Base

  • DONNÉESLabel : Label donné à la forme, modifiable à volonté.
  • DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Angle, Axis, et, Position ci dessous.
    Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.
  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z. (Défaut, 0,00°).
  • DONNÉESAxis : Cette option spécifie l'axe des axes autour desquels la pièce de révolution créée doit être pivotée PAS RÉVOLUTIONNÉE (la valeur exacte du pivotement est défini par l'option Angle ci-dessus).

Cette option demande trois arguments, qui sont passés sous forme de nombres dans les cases de la boîte à outils, définissants les coordonnées x, y ou z, .
La modification d'une valeur de plus d'un axes provoque la rotation avec l'angle de chaque axe.
Par exemple : nous déterminons un angle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ".

  • DONNÉES X  : Angle à donner dans la direction X . (Défaut, 0,00).
  • DONNÉES Y  : Angle à donner dans la direction Y . (Défaut, 0,00).
  • DONNÉES Z  : Angle à donner dans la direction Z . (Défaut, 1,00).
  • DONNÉESPosition : [0,00 0,00 0,00] récapitulation des coordonnées de position, par rapport coordonnée d'origine 0,00 0,00 0,00.
  • DONNÉES X  : Déplacement à donner dans la direction X .(Défaut, 0,00).
  • DONNÉES Y  : Déplacement à donner dans la direction Y .(Défaut, 0,00).
  • DONNÉES Z  : Déplacement à donner dans la direction Z .(Défaut, 0,00).


Script

Instrumentul Chamfer poate fi utilizat în macros și din consolă python prin adăugarea unui obiect Chamfer în document. Cet outil applique des text-top=Chanfrein chanfreins, sur les arêtes sélectionnées d'un objet. Une boite de dialogue vous permet de choisir sur quels objets, et, sur quelles arêtes travailler.

Chanfreins

Utilisation

Démarrez l'outil text-top=Chanfrein Chanfrein qui se trouve dans " Boîte déroulante des ateliers → Part Parttext-top=Chanfrein Chanfrein depuis la barre d'outils, ou le menu. Vous pouvez sélectionner l'objet au préalable.
Si la forme n'a pas été sélectionnée au préalable, sélectionnez-la dans la liste déroulante du panneau des Tâches.
Sélectionnez le type de congé (Chanfrein), soit rayon constant (par défaut), ou rayon variable.
Sélectionnez les arêtes, soit dans la vue 3D, ou en les cochant, dans la liste du panneau des Tâches.
Réglez la valeur du rayon, puis cliquez OK pour valider.

Options

Vue combinée → Tâche


Tâche options chanfrein

Part Fillet.png Chanfrein des arêtes

Forme

  • TÂCHES Forme sélectionnée : Si une forme a été sélectionnée, elle est automatiquement affichée. Si aucune forme n'est sélectionnée, vous pouvez sélectionner votre forme dans cette boîte déroulante. Cette boîte déroulante Tache PartFillet Fillet fr 00.png, liste toutes les formes qui peuvent être utilisées par l'outil text-top=Chanfrein chanfrein, vous pouvez sélectionner votre forme dans cette liste, (ou avant de sélectionner l'outil text-top=Chanfrein chanfrein, directement dans la fenêtre 3D, et, elle sera automatiquement affichée). (Défaut, Aucune sélection).

Paramètres de congé

  • Tous  : Sélectionne toutes les arêtes de la forme sélectionnée.
  • Aucun  : Décoche toutes les arêtes de la forme sélectionnée.
    Chaque arête peut être cochée séparément.
  • TÂCHES Type de congé : Cette option, vous permet de choisir le type de chanfrein a effectuer, Tache PartFillet Rayon fr 00.png, Rayon constant, ou Rayon variable. (Défaut, Rayon constant).

Sur cette exemple l'option est réglée sur Rayon constant, et, un seul réglage de rayon est possible.

  • TÂCHES Rayon : Réglage du paramètre rayon, ici un seul rayon, pour un Rayon constant, pour un text-top=Chanfrein chanfrein symétrique.


Tâche options Chanfrein


Sur cette exemple l'option est réglée sur Rayon variable, et, deux réglages de rayons sont demandés.

  • TÂCHES Rayon : Réglage des paramètres rayon, ici deux rayons sont a entrer, Rayon initial, et, Rayon final, pour avoir un Rayon variable, pour un text-top=Chanfrein chanfrein asymétrique. (Défaut, Rayon constant).

Propriétés

Vue combinée → Propriétés Vue


Propriétés Vue Chanfrein

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur False, ou True (Défaut, False).
  • VUEControl Point : Valeur False, ou True (Défaut, False).
  • VUEDeviation : (Défaut, 0.00).
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords). (Défaut, 255, 255, 255).
  • VUELine Width : Donne l'épaisseur de la ligne (bords). (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme). (Defaut, 255, 255, 255).
  • VUEPoint Size : Donne la dimension des points. (Défaut, 2.00).
  • VUESelectable : Autorise la sélection de la forme. Valeur False, ou True (Défaut, True).
  • VUEShape Color : Donne la couleur de la forme. (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100. (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur False, ou True. (Défaut, True).

Vue combinée → Propriétés Données


Propriétés Données

Base

  • DONNÉESLabel : Label donné à la forme, modifiable à volonté.
  • DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Angle, Axis, et, Position ci dessous.
    Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.
  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z. (Défaut, 0,00°).
  • DONNÉESAxis : Cette option spécifie l'axe des axes autour desquels la pièce de révolution créée doit être pivotée PAS RÉVOLUTIONNÉE (la valeur exacte du pivotement est défini par l'option Angle ci-dessus).

Cette option demande trois arguments, qui sont passés sous forme de nombres dans les cases de la boîte à outils, définissants les coordonnées x, y ou z, .
La modification d'une valeur de plus d'un axes provoque la rotation avec l'angle de chaque axe.
Par exemple : nous déterminons un angle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ".

  • DONNÉES X  : Angle à donner dans la direction X . (Défaut, 0,00).
  • DONNÉES Y  : Angle à donner dans la direction Y . (Défaut, 0,00).
  • DONNÉES Z  : Angle à donner dans la direction Z . (Défaut, 1,00).
  • DONNÉESPosition : [0,00 0,00 0,00] récapitulation des coordonnées de position, par rapport coordonnée d'origine 0,00 0,00 0,00.
  • DONNÉES X  : Déplacement à donner dans la direction X .(Défaut, 0,00).
  • DONNÉES Y  : Déplacement à donner dans la direction Y .(Défaut, 0,00).
  • DONNÉES Z  : Déplacement à donner dans la direction Z .(Défaut, 0,00).


Exemple

Chanfrein symétrique






Chanfrein asymétrique






Comparaison Chanfrein PartDesign text-top=Chanfrein, et, Chanfrein Part text-top=Chanfrein

Le text-top=Chanfrein Chanfrein PartDesign ne doit pas être confondu avec son équivalent de l'atelier Part text-top=Chanfrein Chanfrein Part.
Bien qu'ils partagent la même icône, ces outils sont différents, et s'utilisent différemment.

Voici quelques différences :


Exemplu de Script:

Exemple

Chanfrein symétrique






Chanfrein asymétrique






Comparaison Chanfrein PartDesign text-top=Chanfrein, et, Chanfrein Part text-top=Chanfrein

Le text-top=Chanfrein Chanfrein PartDesign ne doit pas être confondu avec son équivalent de l'atelier Part text-top=Chanfrein Chanfrein Part.
Bien qu'ils partagent la même icône, ces outils sont différents, et s'utilisent différemment.

Voici quelques différences :

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Example Script Explanation:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Creează un cub de 5 mm pentru noi cu marginile cotate la. Vedeți Part_API pentru o explicație a metodei makeBox.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Adaugă un obiect nou în documentul Chamfer (din modulul Part) cu etichetă"myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Specifică faptul că forma de bază a obiectului chamfer ar trebui să fie "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Creează o matrice goală "myEdges" și apoi adaugă matricele cu parametrii de șanfrare ale fiecărei margini.
  • Sintaxa pentru fiecare element ar trebui să fie (marginea #, lungimea de start a șanfrenului, lungimea de final a șanfrenului)
chmfr.Edges = myEdges
  • Setează atributul Edges al obiectului Chamfer egal cu matricea pe care tocmai am creat-o.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Această linie ascunde pur și simplu "myCube", astfel încât obiectul nou creat "myChamfer" este singurul vizibil.
FreeCAD.ActiveDocument.recompute()
  • Recalculează toate componentele modificate de pe ecran și reîmprospătează afișajul.


Arrow-left.svg Previous: Part SectionCross.png Cross sections
Next: Mirror Part Mirror.png Arrow-right.svg